qubes-desktop-linux-common (4.3.1-1+deb13u1+devel1) trixie; urgency=medium

  * Test build

 -- Builder <user@localhost>  Mon, 22 Dec 2025 14:46:47 +0000

qubes-desktop-linux-common (4.3.1-1) unstable; urgency=medium

  [ Ben Grande ]
  * Fix wrong event name

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 11 Oct 2025 01:05:55 +0200

qubes-desktop-linux-common (4.3.0-1) unstable; urgency=medium

  * Disable wayland session by default

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 17 Sep 2025 14:44:49 +0200

qubes-desktop-linux-common (4.2.15-1) unstable; urgency=medium

  [ Marcus Ofenhed ]
  * Added field StartupWMClass
  * Added StartupWMClass to tests

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 21 Jul 2025 02:18:54 +0200

qubes-desktop-linux-common (4.2.14-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * ci: remove R4.1, add R4.3
  * ci: generate qubesadmin package metadata

  [ parulin ]
  * Fix bug #9836: error message when qube not running
  * qvm-appmenus: Add error message when no VMNAME
  * qvm-appmenus: Provide non-existing qube name in error message

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 26 Jun 2025 19:05:30 +0200

qubes-desktop-linux-common (4.2.13-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Remove deprecated pkg_resources, replace with importlib
  * Backwards compatibility for importlib
  * Fix pylint complaint

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 07 Jan 2025 03:15:59 +0100

qubes-desktop-linux-common (4.2.12-1) unstable; urgency=medium

  * tests: assertEquals -> assertEqual

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 24 Aug 2024 02:40:03 +0200

qubes-desktop-linux-common (4.2.11-1) unstable; urgency=medium

  * rpm: add missing changelog

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 18 Aug 2024 02:45:06 +0200

qubes-desktop-linux-common (4.2.10-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Add a nicer icon to vm settings

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 27 Jun 2024 02:21:47 +0200

qubes-desktop-linux-common (4.2.9-1) unstable; urgency=medium

  * Revert "Remove deprecated pkg_resources, replace with importlib"

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 17 May 2024 16:32:23 +0200

qubes-desktop-linux-common (4.2.8-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Remove deprecated pkg_resources, replace with importlib

  [ Marek Marczykowski-Górecki ]
  * Do not react to events when running in "offline mode"
  * Make pylint happy

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 17 May 2024 05:25:33 +0200

qubes-desktop-linux-common (4.2.7-1) unstable; urgency=medium

  * Convert on_template_postinstall to async function
  * Collect background tasks results

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 13 Apr 2024 15:59:34 +0200

qubes-desktop-linux-common (4.2.6-1) unstable; urgency=medium

  * tests: sort applications list before comparing

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 27 Mar 2024 19:10:45 +0100

qubes-desktop-linux-common (4.2.5-1) unstable; urgency=medium

  * Fix calling qvm-appmenus as appropriate user

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 10 Oct 2023 05:07:32 +0200

qubes-desktop-linux-common (4.2.4-1) unstable; urgency=medium

  * appmenus: Call qvm-appmenus on menu-items feature change too
  * appmenus: Call qvm-appmenus via qrexec service
  * appmenus: queue menu updates when GUI VM is not running
  * appmenus: update appmenus on changing GUI VM
  * appmenus: do not override cloned menu-items with the default one

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 10 Oct 2023 00:23:04 +0200

qubes-desktop-linux-common (4.2.3-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Reject trailing newlines explicitly
  * Handle periods in qube names

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 17 Jul 2023 17:23:05 +0200

qubes-desktop-linux-common (4.2.2-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Remove old global settings from menu

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 28 May 2023 02:50:16 +0200

qubes-desktop-linux-common (4.2.1-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Set systemctl env to correctly use XDG_CURRENT_DESKTOP
  * Remove obsolete pylint opts
  * Remove obsolete pipes module

  [ Marek Marczykowski-Górecki ]
  * menu: Exclude file manager, mail reader and web browser in Xfce 4.16
    too
  * Properly place new qubes GUI tools in the menu
  * Revert "Set systemctl env to correctly use XDG_CURRENT_DESKTOP"

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 16 Feb 2023 02:05:50 +0100

qubes-desktop-linux-common (4.2.0-1) unstable; urgency=medium

  [ Mateusz Piórkowski ]
  * Replace ImageMagick with GraphicsMagick

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 20 Jan 2023 02:02:47 +0100

qubes-desktop-linux-common (4.1.14-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Fix absolutely silly bug that required PATH for --get-default-
    whitelist

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 08 Dec 2022 16:36:42 +0100

qubes-desktop-linux-common (4.1.13-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Adjust for updated pylint

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI

  [ Marek Marczykowski-Górecki ]
  * ci: use a wrapper to properly mark coverage data

  [ Marta Marczykowska-Górecka ]
  * Add a --get-default-whitelist to qvm-appmenus

  [ Frédéric Pierret (fepitre) ]
  * Add Qubes Builder v2 integration
  * .qubesbuilder: replace 'spec' by 'build'

  [ Saswat Padhi ]
  * Fix `_is_old_path` for dispvm directory names

  [ Marta Marczykowska-Górecka ]
  * Don't crash qvm-appmenus on erroneous .desktop files

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 04 Nov 2022 16:23:01 +0100

qubes-desktop-linux-common (4.1.12-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Fix open file leak

  [ Aurora ]
  * Fix the ambiguity in Application file names for programs run env
  * Reorder (dvm) indicator for nicer menu display

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 09 Apr 2022 18:27:15 +0200

qubes-desktop-linux-common (4.1.11-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec: add R xdg-utils

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 20 Oct 2021 01:32:25 +0200

qubes-desktop-linux-common (4.1.10-1) unstable; urgency=medium

  * receive: use --force-root support now available again in
    QubesArgumentParser
  * Prevent running as root in qvm-appmenus too
  * Bump required core-admin-client version, for --force-root support
  * appmenus: fix creating settings entry in DispVM Template submenu

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 09 Oct 2021 04:07:22 +0200

qubes-desktop-linux-common (4.1.9-1) unstable; urgency=medium

  * Include application id in the desktop file - X-Qubes-AppName
  * rpm: replace xorg-x11-utils dependency with just xprop

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 19 Aug 2021 15:42:59 +0200

qubes-desktop-linux-common (4.1.8-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Ignore appmenus-dispvm unless template_for_dispvms=True
  * Only allow DispVM templates to have appmenus-dispvm feature

  [ Frédéric Pierret (fepitre) ]
  * appmenus: few refactors
  * qubesappmenus: add --all option on actions
  * qubesappmenus: ensure to support --all for remove

  [ Demi Marie Obenour ]
  * Switch appmenu delimiter from hyphen to full stop
  * Update integration test

  [ Marek Marczykowski-Górecki ]
  * Revert "Only allow DispVM templates to have appmenus-dispvm feature"
  * Move constants to the top
  * Add separate submenu for launching apps in DisposableVM
  * Rename "Domain:" to "Qube:" menu
  * tests: remove extra print

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 10 Jul 2021 04:44:43 +0200

qubes-desktop-linux-common (4.1.7-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml

  [ Marek Marczykowski-Górecki ]
  * gitlab-ci: include tests job
  * ci: add missing dependencies
  * tests: print warnings during tests

  [ Roberto Romero ]
  * Accept "+" as part of the Name, GenericName, and Comment

  [ Frédéric Pierret (fepitre) ]
  * Fix build with python3 for CentOS
  * spec: add BR make

  [ Demi Marie Obenour ]
  * Rip out @asyncio.coroutine

  [ herypt ]
  * Remove duplicate menu items

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 18 May 2021 00:43:13 +0200

qubes-desktop-linux-common (4.1.6-1) unstable; urgency=medium

  * tests: adjust for keeping applications list in 'menu-items' feature

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 13 Nov 2020 05:27:54 +0100

qubes-desktop-linux-common (4.1.5-1) unstable; urgency=medium

  [ WillyPillow ]
  * Initial support for qvm-template: read whitelist from qvm-features.
  * Copy file-based whitelists to qvm-features on clones and new AppVMs.
  * Add @staticmethod to set_whitelist.
  * Change "whitelist" to "menu-items" in qvm-features for clarity.

  [ Marek Marczykowski-Górecki ]
  * Make pylint happy

  [ Marta Marczykowska-Górecka ]
  * Changed "Start" .desktop entry to "Start qube" for more clarity

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 10 Oct 2020 16:16:36 +0200

qubes-desktop-linux-common (4.1.4-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * appmenus: make it more robust about appmenus-dispvm feature access

  [ Marta Marczykowska-Górecka ]
  * Removed dependency on qubesmanager
  * Warn user against running qvm-sync-appmenus as root

  [ Marek Marczykowski-Górecki ]
  * debian: fix typo in dependency
  * Fix conflicting --force-root argument

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 12 Aug 2020 14:25:45 +0200

qubes-desktop-linux-common (4.1.3-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Fixed handling of spaces in qvm-sync-appmenus
  * Changed qvm-appmenus to use new vm.icon property

  [ Frédéric Pierret (fepitre) ]
  * debian: fix dependency names
  * debian: qubesimgconverter is a separate package now
  * spec: solve conflict with gnome-menus
  * Update travis
  * Centralize menus location
  * Use xfce menu as default qubes menu

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 16 Jul 2020 06:09:49 +0200

qubes-desktop-linux-common (4.1.2-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Fix qubes.SyncAppMenus service
  * travis: add test coverage reports
  * appmenu: skip/remove DispVM-incompatible entries instead of failing

  [ Marta Marczykowska-Górecka ]
  * Added a --template option to qvm-appmenus

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 25 May 2020 02:48:37 +0200

qubes-desktop-linux-common (4.1.1-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to dom0 Fedora 31

  [ Pawel Marczewski ]
  * Properly create "Start" shortcut
  * Remove fallback shortcuts for HVM machines
  * Ensure a Start shortcut for all machines
  * Remove unused imports
  * appmenus test: don't depend on file order

  [ Marek Marczykowski-Górecki ]
  * tests: fix them when called as root

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 17 Jan 2020 05:09:43 +0100

qubes-desktop-linux-common (4.1.0-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic
  * appmenus syncing: ignore child_vm where local domain is not the
    guivm
  * Make PEP8 happier

  [ Marek Marczykowski-Górecki ]
  * travis: switch to R4.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 13 Nov 2019 12:59:32 +0100

qubes-desktop-linux-common (4.0.19-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Added handling for more file fields in GetAppmenus
  * Added man page to qvm-appmenus

  [ Marek Marczykowski-Górecki ]
  * appmenus: fix handling sections in .desktop files

  [ Saswat Padhi ]
  * Update commands for pausing VMs

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 27 Sep 2019 23:11:10 +0200

qubes-desktop-linux-common (4.0.18-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec.in: use %{python3_pkgversion}

  [ Marek Marczykowski-Górecki ]
  * travis: update distributions

  [ Anastasia Cotorobai ]
  * Fix error index out of range if no args.domain
  * Fix apps sync for AppVms -> sync anyway

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 24 Jun 2019 21:51:13 +0200

qubes-desktop-linux-common (4.0.17-1) unstable; urgency=medium

  * appmenus: do not treat no entries as an error

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 08 Dec 2018 19:31:52 +0100

qubes-desktop-linux-common (4.0.16-1) unstable; urgency=medium

  * appmenus: support per-vm appmenus templates
  * tests: include unit tests for multiple appmenus templates
    directories
  * appmenus: add pylint configuration, fix found issues
  * travis: add pylint and tests run
  * appmenus: exclude only auto-cleanup DispVM
  * appmenus: fix qvm-appmenus --source for non-templates
  * appmenus: do not fail qvm-appmenus --init on already existing dirs
  * appmenus: create "Start" entry for any non-template based VM
  * appmenus: use pkg_resources to distribute qubes-start.desktop file
  * tests/appmenus: adjust for qubes-start.desktop installed always
  * appmenus/tests: appmenus whitelist
  * appmenus: fix open file leak
  * appmenus/tests: fix TestVM mockup
  * travis: fix calling tests
  * appmenus/test: ignore menu creation order

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 29 Oct 2018 05:43:14 +0100

qubes-desktop-linux-common (4.0.15-1) unstable; urgency=medium

  * tests: fix color compare

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 16 Sep 2018 05:32:44 +0200

qubes-desktop-linux-common (4.0.14-1) unstable; urgency=medium

  * appmenus: fix creating default appmenus

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 15 Jul 2018 23:47:48 +0200

qubes-desktop-linux-common (4.0.13-1) unstable; urgency=medium

  * tests: fix X-Qubes-DispvmExec pattern
  * rpm: Create spec.in and Source0
  * Add make clean target to make debian build happy
  * travis: update Fedora versions, add CentOS 7
  * rpm: add missing BR: python3-setuptools

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 02 May 2018 21:18:43 +0200

qubes-desktop-linux-common (4.0.12-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * appmenus: don't fail on removal already removed menu file

  [ Frédéric Pierret ]
  * Add CentOS support (fix python3 dependencies)
  * Fix %files for mandir files

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 27 Feb 2018 21:08:36 +0100

qubes-desktop-linux-common (4.0.11-1) unstable; urgency=medium

  * debian: fix file list

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 27 Jan 2018 03:08:10 +0100

qubes-desktop-linux-common (4.0.10-1) unstable; urgency=medium

  * appmenus: remove unused files
  * appmenus: rename "VM Settings" to "Qube Settings"

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 27 Jan 2018 02:49:19 +0100

qubes-desktop-linux-common (4.0.9-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * appmenus: don't fail on creating/removing appmenus directories
  * tests: fix both unit tests and integration tests

  [ Jean-Philippe Ouellet ]
  * Remove dead appmenu handling code

  [ TomZ ]
  * Remove unneeded warning/removal of icon-cache

  [ Jean-Philippe Ouellet ]
  * Adjust feature-set handler to match reality
  * Regen appmenus on changing appmenus-dispvm feature
  * Properly handle unsetting 'internal'

  [ Marek Marczykowski-Górecki ]
  * appmenus: update event names one more time

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 23 Jan 2018 14:17:37 +0100

qubes-desktop-linux-common (4.0.8-1) unstable; urgency=medium

  [ Arjan Schrijver ]
  * appmenus: fix compatibility with Qubes OS 4.0

  [ Marek Marczykowski-Górecki ]
  * appmenus: fix choosing directory entry
  * appmenus: fix installing updated appmenus

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 21 Nov 2017 05:09:25 +0100

qubes-desktop-linux-common (4.0.7-1) unstable; urgency=medium

  * appmenus: improve logging, make quiet execution quiet
  * appmenus: fix updating entries in menu
  * Follow qubesadmin API change

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 08 Oct 2017 20:36:07 +0200

qubes-desktop-linux-common (4.0.6-1) unstable; urgency=medium

  * appmenus: rename 'legacy-appmenus' feature to 'appmenus-legacy'
  * appmenus: implement creating menu entries for Disposable VM

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 11 Aug 2017 13:36:55 +0200

qubes-desktop-linux-common (4.0.5-1) unstable; urgency=medium

  * appmenus: do not unregister .directory file

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 30 Jul 2017 18:34:17 +0200

qubes-desktop-linux-common (4.0.4-1) unstable; urgency=medium

  * appmenus: disable currently broken DispVM launchers

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 30 Jul 2017 03:39:45 +0200

qubes-desktop-linux-common (4.0.3-1) unstable; urgency=medium

  * appmenus: convert to coroutine event handlers, remove rename
    handling

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 29 Jul 2017 05:27:22 +0200

qubes-desktop-linux-common (4.0.2-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * fixes to system menu

  [ Marek Marczykowski-Górecki ]
  * Rename qubes-appmenu-select.desktop to qubes-vm-settings.desktop
  * appmenus: change 'hvm' property to 'virt_mode'

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 18 Jul 2017 05:22:13 +0200

qubes-desktop-linux-common (4.0.1-1) unstable; urgency=medium

  [ Wojtek Porczyk ]
  * qubesappmenus: add --get-available and fix parsing

  [ Marek Marczykowski-Górecki ]
  * Fix application icons generation

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 16 Jul 2017 10:40:51 +0200

qubes-desktop-linux-common (4.0.0-1) unstable; urgency=medium

  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 05 Jul 2017 15:17:42 +0200

qubes-desktop-linux-common (3.2.0-1) unstable; urgency=low

  * Initial release 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 20 May 2017 00:13:54 +0200
